## kdiff3 1.11.2

=== debian/changelog ===
kdiff3 (1.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jun 2024 14:55:07 +0200

kdiff3 (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 23 May 2024 13:15:20 +0200

kdiff3 (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.19
    - bump Qt packages to 5.15.5
    - bump KF packages to 5.95.0
    - add libkf5xmlgui-dev
    - drop libkf5parts-dev
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop mipsel from the list of architectures that need -latomic, as that
    architecture was dropped.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 07:24:15 +0200
