=== debian/control ===
Source: kdiff3
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Eike Sauer <eike@debian.org>,
 Pino Toscano <pino@debian.org>,
Section: kde
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-kf5,
 gettext,
 cmake (>= 3.19~),
 extra-cmake-modules (>= 5.95.0~),
 qtbase5-dev (>= 5.15.5~),
 libkf5config-dev (>= 5.95.0~),
 libkf5coreaddons-dev (>= 5.95.0~),
 libkf5crash-dev (>= 5.95.0~),
 libkf5doctools-dev (>= 5.95.0~),
 libkf5i18n-dev (>= 5.95.0~),
 libkf5kio-dev (>= 5.95.0~),
 libkf5widgetsaddons-dev (>= 5.95.0~),
 libkf5xmlgui-dev (>= 5.95.0~),
 libboost-dev (>= 1.71.0~),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kde.org/applications/development/kdiff3
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiff3
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiff3.git

Package: kdiff3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: kdiff3-doc
Description: compares and merges 2 or 3 files or directories
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well. KDiff3 also has KIO support, so it can access to
 remote files and compressed archives.

Package: kdiff3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: kdiff3
Description: documentation for KDiff3
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character.
 .
 This package contains the documentation.
