## kdiff3 1.11.4

=== debian/changelog ===
kdiff3 (1.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 06:36:35 +0200

kdiff3 (1.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Sep 2024 17:12:44 +0200
