## kdiff3 1.11.5

=== debian/changelog ===
kdiff3 (1.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Nov 2024 22:31:23 +0100
