## kdiff3 1.12.0

=== debian/changelog ===
kdiff3 (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5doctools-dev, libkf5i18n-dev, libkf5kio-dev,
      libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-5compat-dev, libkf6config-dev, libkf6coreaddons-dev,
      libkf6crash-dev, libkf6doctools-dev, libkf6i18n-dev, libkf6kio-dev,
      libkf6widgetsaddons-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.22
    - bump extra-cmake-modules to 6.2
    - bump libboost-dev to 1.82.0
    - add libicu-dev
  * Switch the kf5 dh addon to kf6.
  * Disable/empty the list of architectures that need -latomic for now,
    to check whether it is still needed with Qt 6.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 18:40:28 +0100
