=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 Section: kde
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-kf5,
+ dh-sequence-kf6,
  gettext,
- cmake (>= 3.19~),
- extra-cmake-modules (>= 5.95.0~),
- qtbase5-dev (>= 5.15.5~),
- libkf5config-dev (>= 5.95.0~),
- libkf5coreaddons-dev (>= 5.95.0~),
- libkf5crash-dev (>= 5.95.0~),
- libkf5doctools-dev (>= 5.95.0~),
- libkf5i18n-dev (>= 5.95.0~),
- libkf5kio-dev (>= 5.95.0~),
- libkf5widgetsaddons-dev (>= 5.95.0~),
- libkf5xmlgui-dev (>= 5.95.0~),
- libboost-dev (>= 1.71.0~),
+ cmake (>= 3.22~),
+ extra-cmake-modules (>= 6.2.0~),
+ qt6-base-dev (>= 6.6.0~),
+ qt6-5compat-dev (>= 6.6.0~),
+ libkf6config-dev (>= 6.2.0~),
+ libkf6coreaddons-dev (>= 6.2.0~),
+ libkf6crash-dev (>= 6.2.0~),
+ libkf6doctools-dev (>= 6.2.0~),
+ libkf6i18n-dev (>= 6.2.0~),
+ libkf6kio-dev (>= 6.2.0~),
+ libkf6widgetsaddons-dev (>= 6.2.0~),
+ libkf6xmlgui-dev (>= 6.2.0~),
+ libboost-dev (>= 1.82.0~),
+ libicu-dev (>= 70.0~),
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.7.0
