## kdiff3 1.12.1

=== debian/changelog ===
kdiff3 (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - drop qt6-5compat-dev, no more needed
  * Drop the atomic handling in debian/rules for good, as it does not seem
    needed anymore.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Feb 2025 22:45:46 +0100
