=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  cmake (>= 3.22~),
  extra-cmake-modules (>= 6.2.0~),
  qt6-base-dev (>= 6.6.0~),
- qt6-5compat-dev (>= 6.6.0~),
  libkf6config-dev (>= 6.2.0~),
  libkf6coreaddons-dev (>= 6.2.0~),
  libkf6crash-dev (>= 6.2.0~),
