=== debian/changelog ===
kdiff3 (1.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Mar 2025 07:00:43 +0100
