=== debian/changelog ===
kdiff3 (1.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 08:44:06 +0200
