=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kdiff3/kdiff3-([\d\.]+)\.tar\.xz
