## kdiff3 1.12.3+p24.04+vstable+git20250930.0322

=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20250930.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 03:22:18 +0000

kdiff3 (1.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 May 2025 01:17:14 +0000

kdiff3 (1.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Mar 2025 01:17:10 +0000

kdiff3 (1.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Feb 2025 01:17:19 +0000

kdiff3 (1.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 Dec 2024 01:17:11 +0000

kdiff3 (1.11.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2024 01:17:20 +0000

kdiff3 (1.11.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Sep 2024 01:17:14 +0000

kdiff3 (1.11.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Sep 2024 01:17:10 +0000

kdiff3 (1.11.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 29 Jun 2024 01:17:07 +0000

kdiff3 (1.11.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 May 2024 01:17:09 +0000

kdiff3 (1.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Apr 2024 01:17:49 +0000

kdiff3 (1.10.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Dec 2023 01:17:06 +0000

kdiff3 (1.10.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 01 Oct 2023 01:17:07 +0000

kdiff3 (1.10.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jul 2023 01:17:07 +0000

kdiff3 (1.10.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 20 May 2023 01:17:06 +0000

kdiff3 (1.10.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 04 May 2023 01:17:07 +0000

kdiff3 (1.10.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Apr 2023 01:17:05 +0000

kdiff3 (1.10.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jan 2023 01:17:09 +0000
