## kdiff3 1.12.3+p24.04+vstable+git20251015.1440

=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20251015.1440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:41:00 +0000
