## kdiff3 1.12.3+p24.04+vstable+git20251019.0345

=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20251019.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:45:13 +0000
