=== debian/control ===
Source: kdiff3
Uploaders: Eike Sauer <eike@debian.org>, Pino Toscano <pino@debian.org>
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.8~),
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-kwidgetsaddons-dev,
               libboost-dev (>= 1.66.0~),
               libicu-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kde.org/applications/development/kdiff3
Vcs-Git: https://invent.kde.org/neon/extras/kdiff3.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdiff3
Maintainer: Neon CI <neon@kde.org>

Package: kdiff3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdiff3-doc
Description: compares and merges 2 or 3 files or directories
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well. KDiff3 also has KIO support, so it can access to
 remote files and compressed archives.

Package: kdiff3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: kdiff3
Description: documentation for KDiff3
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character.
 .
 This package contains the documentation.
