## kdiff3 1.12.3+p24.04+vstable+git20251028.1018

=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20251028.1018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:18:59 +0000
