## kdiff3 1.12.3+p24.04+vstable+git20251208.0052

=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20251208.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 00:52:46 +0000
