## kdiff3 1.12.3+p24.04+vstable+git20251218.0210

=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20251218.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 02:10:35 +0000
