## kdiff3 1.12.3+p24.04+vstable+git20260107.0748

=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20260107.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:48:46 +0000
