=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vstable+git20260119.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 01:06:20 +0000
