=== debian/changelog ===
kdiff3 (1.12.3+p24.04+vunstable+git20260131.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:14:16 +0000
